Main Page Class Hierarchy Compound List Compound Members

# VTable Class Reference

List of all members.

## Public Methods
| VTable ()
| VTable (const char *filename, const char *path, int iomode, int *status)
| ~VTable ()
VTable | operator= (const VTable &v)
| VTable (const VTable &v)
int | openFile (const char *filename, const char *path, int iomode, int *status)
int | closeFile (int *status)
int | getMetaData (TableMetaData &tmd, int *status)
int | getData (TableData &td, int *status)
int | getName (char *&name, int *status)
int | getID (char *&ID, int *status)
int | getRef (char *&ref, int *status)

## Detailed Description

This class represents <TABLE> (Virtual Table) element in a Resource.

A virtual table is a memory representation of a Table in VOTable. A VTable consists of metadata and data.

## Constructor & Destructor Documentation

VTable.VTable | ( |  | ) |

| Default Constructor.

VTable.VTable | ( | const char * | filename,
|  | const char * | path,
|  | int | iomode,
|  | int * | status
| ) |

| Constructs a 'VTable' from a <TABLE> element from the given VOTABLE file, the xpath denotes the position of the <TABLE> element to be opened. Example - To read the first <TABLE> in the first <RESOURCE> use "/RESOURCE[1]/TABLE[1]" in the xpath. To read a <TABLE> with ID as 'ycat' use "/RESOURCE[1]/TABLE[@ID='ycat']" in the xpath. Make sure that the xpath points to a single <TABLE> element, else VOERROR will be returned. Note that xpath is case sensitive. Currently the parameter 'iomode' is ignored since all files are opened in 'readonly' mode.

VTable.~VTable | ( |  | ) |

| Destructor

VTable.VTable | ( | const VTable & | v | ) |

| Copy Constructor

## Member Function Documentation

int VTable.closeFile | ( | int * | status | ) |

| Close the VTable.

int VTable.getData | ( | TableData & | td,
|  | int * | status
| ) |

| Gets the 'TableData'.

int VTable.getID | ( | char *& | ID,
|  | int * | status
| ) |

| Gets 'ID'.

int VTable.getMetaData | ( | TableMetaData & | tmd,
|  | int * | status
| ) |

| Gets the 'TableMetaData'.

int VTable.getName | ( | char *& | name,
|  | int * | status
| ) |

| Gets 'name'.

int VTable.getRef | ( | char *& | ref,
|  | int * | status
| ) |

| Gets 'Ref'.

int VTable.openFile | ( | const char * | filename,
|  | const char * | path,
|  | int | iomode,
|  | int * | status
| ) |

| Opens a <TABLE> element from the given VOTABLE file, the xpath denotes the position of the <TABLE> element to be opened. Example - To read the first <TABLE> in the first <RESOURCE> use "/RESOURCE[1]/TABLE[1]" in the xpath. To read a <TABLE> with ID as 'ycat' use "/RESOURCE[1]/TABLE[@ID='ycat']" in the xpath. Make sure that the xpath points to a single <TABLE> element, else VOERROR will be returned. Currently the parameter 'iomode' is ignored since all files are opened in 'readonly' mode.

VTable VTable.operator= | ( | const VTable & | v | ) |

| Assignment Operator Overloaded.